INTERFACE
SUBROUTINE RNDECAY ( KIDIA,KFDIA,KLON,KTDIA,KLEV,PGHG,PTENGHG)
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KTDIA
REAL(KIND=JPRB) ,INTENT(IN) :: PGHG(KLON,KLEV,1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTENGHG(KLON,KLEV,1)
END SUBROUTINE RNDECAY
END INTERFACE
